# $Revision: 1.28.2.1 $, $Date: 2007/03/05 00:06:48 $
# TODO:
# - shared gdchart+gd
Summary:	Nessus core package
Summary(pl):	Gwny pakiet Nessusa
Name:		nessus-core
Version:	2.2.4
Release:	2
License:	GPL
Group:		Networking
Source0:	ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	01669eca30ec1150c8da5a14b11338ff
Source1:	nessusd.init
URL:		http://www.nessus.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	libnasl-devel >= %{version}
BuildRequires:	libtool
BuildRequires:	nessus-libs-devel >= %{version}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# keep in sync with nessus-libs!
%define		_localstatedir		/var/lib

%description
The "Nessus" Project aims to provide to the Internet community a free,
powerful, up-to-date and easy to use remote security scanner (i.e. a
software which will audit remotely a given network and determine
whether bad guys may break into it, or misuse it in some way).

This package contains core part of Nessus.

%description -l pl
Celem projektu "Nessus" jest dostarczenie spoecznoci internetowej
wolnodostpnego, potnego, aktualnego i atwego w uyciu zdalnego
skanera bezpieczestwa (tzn. oprogramowania, ktre zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy li ludzie mog si
do niej wama lub jej naduy w jaki sposb).

Ten pakiet zawiera podstawow cz Nessusa.

%package -n nessusd
Summary:	Nessus daemon
Summary(pl):	Demon Nessusa
Group:		Networking
Requires:	libnasl >= %{version}
Requires:	nessus-libs >= %{version}

%description -n nessusd
The "Nessus" Project aims to provide to the Internet community a free,
powerful, up-to-date and easy to use remote security scanner (i.e. a
software which will audit remotely a given network and determine
whether bad guys may break into it, or misuse it in some way).

This package contains the Nessus daemon.

%description -n nessusd -l pl
Celem projektu "Nessus" jest dostarczenie spoecznoci internetowej
wolnodostpnego, potnego, aktualnego i atwego w uyciu zdalnego
skanera bezpieczestwa (tzn. oprogramowania, ktre zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy li ludzie mog si
do niej wama lub jej naduy w jaki sposb).

Ten pakiet zawiera demona Nessusa.

%package -n nessus-client
Summary:	Nessus client
Summary(pl):	Klient nessusa
Group:		Networking

%description -n nessus-client
The "Nessus" Project aims to provide to the Internet community a free,
powerful, up-to-date and easy to use remote security scanner (i.e. a
software which will audit remotely a given network and determine
whether bad guys may break into it, or misuse it in some way).

This package contains the Nessus client.

%description -n nessus-client -l pl
Celem projektu "Nessus" jest dostarczenie spoecznoci internetowej
wolnodostpnego, potnego, aktualnego i atwego w uyciu zdalnego
skanera bezpieczestwa (tzn. oprogramowania, ktre zdalnie
przeprowadza audyt podanej sieci i sprawdza, czy li ludzie mog si
do niej wama lub jej naduy w jaki sposb).

Ten pakiet zawiera klienta Nessusa.

%package -n nessus-client-gtk
Summary:	Nessus client with GTK+ GUI
Summary(pl):	Klient Nessusa z graficznym interfejsem GTK+
Group:		Networking
Requires:	nessus-client = %{version}-%{release}

%description -n nessus-client-gtk
Nessus client with GTK+ GUI.

%description -n nessus-client-gtk -l pl
Klient Nessusa z graficznym interfejsem GTK+.

%package -n nessus-devel
Summary:	Header files for Nessus plugins development
Summary(pl):	Pliki nagwkowe do tworzenia wtyczek Nesussa
Group:		Networking
Requires:	nessus-libs-devel >= %{version}

%description -n nessus-devel
Header files for Nessus plugins development.

%description -n nessus-devel -l pl
Pliki nagwkowe do tworzenia wtyczek Nesussa.

%prep
%setup -q -n %{name}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-gtk

%{__make}

mv -f nessus/nessus nessus-gtk

%{__make} -C nessus clean
sed -e 's@^#define USE_GTK 1@/* #undef USE_GTK */@' include/config.h > config.tmp
mv -f config.tmp include/config.h
%{__make} -C nessus \
	GTKLIBS= \
	GTKCONFIG_CFLAGS= \
	GLIBCONFIG_CFLAGS= \
	X_LIBS= \
	USE_GTK=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/nessus/logs

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install nessus-gtk $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/nessusd

%clean
rm -rf $RPM_BUILD_ROOT

%post -n nessusd
echo "Run \"/sbin/chkconfig --add nessusd\" to activate nessus daemon."
echo "then run \"/etc/rc.d/init.d/nessusd start\" to start nessus daemon."
echo "don't forget about /etc/nessus/nessusd.conf file!"

%preun -n nessusd
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nessusd ]; then
		/etc/rc.d/init.d/nessusd stop >&2
	fi
	/sbin/chkconfig --del nessusd
fi

%files -n nessusd
%defattr(644,root,root,755)
%doc CHANGES README_SSL TODO doc/{*.txt,Top20*,WARNING.En,nsr.dtd,ntp}
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/nessusd
%{_mandir}/man8/*
%{_libdir}/nessus
%{_sysconfdir}/nessus
%dir %{_localstatedir}/nessus/logs

%files -n nessus-client
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/nessus-gtk
%{_mandir}/man1/*

%files -n nessus-client-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nessus-gtk

%files -n nessus-devel
%defattr(644,root,root,755)
%dir %{_includedir}/nessus
%{_includedir}/nessus/*
%exclude %{_includedir}/nessus/includes.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nessus-core.spec,v $
Revision 1.28.2.1  2007/03/05 00:06:48  glen
- missing dir; rel 2

Revision 1.28  2005/03/28 10:55:21  adamg
- updated to 2.2.4

Revision 1.27  2005/02/20 10:18:25  adamg
- updated to 2.2.3

Revision 1.26  2005/02/08 12:47:22  qboosh
- updated to 2.2.2a

Revision 1.25  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.24  2004/09/25 02:06:29  domelu
- updated to 2.0.12 && removed SECURITY note

Revision 1.23  2004/08/10 13:43:51  blues
- SECURITY note

Revision 1.22  2004/03/28 18:44:42  qboosh
- updated to 2.0.10a

Revision 1.21  2003/11/11 02:15:08  qboosh
- BR: automake

Revision 1.20  2003/10/12 01:13:57  qboosh
- added logs dir to nessusd

Revision 1.19  2003/10/10 11:14:59  qboosh
- /var/lib/nessus dir moved to -libs; killed /var/nessus

Revision 1.18  2003/10/03 09:19:10  adamg
- updated to 2.0.8

Revision 1.17  2003/09/20 22:54:58  ankry
- added /var/nessus; clean it in %%preun

Revision 1.16  2003/08/22 15:44:05  ankry
- cosmetics: spaces -> tabs

Revision 1.15  2003/08/19 12:44:29  aniou
- upgrade to 2.0.7
- add init file to nessus daemon

Revision 1.14  2003/07/02 14:46:18  qboosh
- build gtk and non-gtk client; updated todo

Revision 1.13  2003/07/02 13:34:55  qboosh
- some descriptions, more docs

Revision 1.12  2003/06/17 22:32:24  mmazur
- BR: libpcap

Revision 1.11  2003/06/02 07:08:10  misi3k
- missing in action update to 2.0.6a

Revision 1.10  2003/05/25 05:51:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/05/05 08:19:11  misi3k
- updated to 2.0.4
- removed DESTDIR patch (not needed)

Revision 1.8  2003/04/03 11:22:05  misi3k
- rel down to 0.1

Revision 1.7  2003/04/03 11:15:20  misi3k
- updated to 2.0.3

Revision 1.6  2003/03/18 10:59:46  misiek
- updated to 2.0.1 and enabled gtk client by default

Revision 1.5  2003/02/27 19:19:13  pbern
- add BR
- need new version DESTDIR patch

Revision 1.4  2003/02/27 18:36:48  pbern
- update do 2.0

Revision 1.3  2002/11/04 16:18:20  mmazur
- added building nessus-devel package
- todo: add client-gtk package

Revision 1.2  2002/11/03 19:25:35  ankry
- adapterized

Revision 1.1  2002/11/03 17:47:39  mmazur
- I have to finish this
